Bug 1807956 - 0ad requires Python 2 to build [NEEDINFO]
Summary: 0ad requires Python 2 to build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: 0ad
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-27 14:47 UTC by Petr Viktorin
Modified: 2021-09-27 10:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-27 10:58:07 UTC
Type: Bug
mhroncok: needinfo? (paulo.cesar.pereira.de.andrade)


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-27 14:47:46 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like 0ad, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.
It looks like need for python2 comes from a very old bundled version of mozjs.

If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Paulo Andrade 2020-04-02 17:06:07 UTC
Should be fixed now. Was required only for an intermediate %check, but just
works with python3 apparently.

Comment 2 Miro Hrončok 2020-06-29 19:14:44 UTC
I still see:

BuildRequires:	python2

In https://src.fedoraproject.org/rpms/0ad/blob/master/f/0ad.spec

Comment 3 Ben Cotton 2020-08-11 13:11:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 4 Miro Hrončok 2021-05-14 14:26:44 UTC
Can the BuildRequires on python2 be removed or it is needed?

Comment 5 Ben Cotton 2021-08-10 12:47:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 6 Bruno Wolff III 2021-09-07 00:51:29 UTC
I tested building without a buildrequires on python2 with an f34 scratch build and it built successfully. I didn't test running it as I use rawhide for all of my stuff. There is an issue building on rawhide and f35 right now due to the change to python 3.10. That makes testing this there hard right now.

Comment 7 Fedora Admin user for bugzilla script actions 2021-09-09 00:06:52 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.


Note You need to log in before you can comment on or make changes to this bug.